# Uses of Class
java.awt.JobAttributes

Packages that use JobAttributes
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

- ## Uses of JobAttributes in java.awt

  Methods in java.awt with parameters of type JobAttributes
  Modifier and Type
  Method
  Description
  `PrintJob`
  Toolkit.`getPrintJob(Frame frame, String jobtitle, JobAttributes jobAttributes, PageAttributes pageAttributes)`
  Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.
  `void`
  JobAttributes.`set(JobAttributes obj)`
  Sets all of the attributes of this `JobAttributes` to the same values as the attributes of obj.
  Constructors in java.awt with parameters of type JobAttributes
  Modifier
  Constructor
  Description
  ``
  `JobAttributes(JobAttributes obj)`
  Constructs a `JobAttributes` instance which is a copy of the supplied `JobAttributes`.